; Reads a single character with echo
; out	AL	character
isr_getc_echo:
  xor ax, ax
  int 0x16
  test al, al
  jz isr_getc_echo
  call putc
  iret

; Reads a single character without echo
; out   AL      character
isr_getc:
  xor ax, ax
  int 0x16
  test al, al
  jz isr_getc
  iret

; Prints a single character
; in	DL	character
isr_putc:
  push ax
  mov al, dl
  call putc
  pop ax
  iret

putc:
  push bx
  mov ah, 0x0e
  mov bx, 0x0000
  int 0x10
  pop bx
  ret
